%global shortname da

Name:           devassistant
Version:        0.8.0
Release:        2%{?dist}
Summary:        DevAssistant - Making life easier for developers

License:        GPLv2+
URL:            https://github.com/bkabrda/devassistant
Source0:        https://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
# to get desktop and appdata file:
# git clone https://github.com/bkabrda/devassistant.git && cd devassistant
# git checkout v0.8.0
Source1:        devassistant-assistants-rhel-6.tar.gz
# OrderedDict is not available under python 2.6, use this as replacement
Source2:        ordereddict.py
Patch0:         devassistant-0.6.0-alter-paths-for-fedora.patch
Patch1:         devassistant-0.8.0-pretty-message-when-no-assistants.patch
Patch2:         devassistant-0.8.0-install-dependencies-for-rhel.patch
Patch3:         devassistant-python2.6-compatibility.patch
BuildArch:      noarch
 
#BuildRequires:  pytest
BuildRequires:  python2-devel
# no flexmock in RHEL 6 => no testing during build :(
#BuildRequires:  python-flexmock
BuildRequires:  python-jinja2
BuildRequires:  python-setuptools

BuildRequires:  PyYAML

# it seems that other packages using bash-completion don't depend
# on it and rather just own the directory, so we will do the same
Requires:       git
Requires:       polkit
Requires:       python-jinja2
Requires:       python-setuptools
Requires:       PyYAML

%global __requires_exclude ^\(/usr/bin/php\|/usr/bin/perl\|perl\\(\)

%description
DevAssistant can help you with creating and setting up basic projects
in various languages, installing dependencies, setting up environmens,
working with source control, etc.

%package assistants
Summary: DevAssistant assistants for RHEL

%description assistants
DevAssistant assistants for RHEL

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
cp %{SOURCE2} %{name}
%patch3 -p1
# Remove bundled egg-info
rm -rf %{name}.egg-info
# Remove PyGithub dependency, so that devassistant doesn't fail without it
sed -i "s|, 'PyGithub>=1.14.2'||" setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# install manpages for both short and long forms of the binaries
mkdir -p %{buildroot}%{_mandir}/man1
install -p manpages/%{shortname}.1 %{buildroot}%{_mandir}/man1
install -p manpages/%{name}.1 %{buildroot}%{_mandir}/man1
# bash completion script
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p %{shortname}.bash %{buildroot}%{_sysconfdir}/bash_completion.d/

## move data (assistants, snippets, templates) into %%{_datadir}
# first, do the alterations to paths in devassistant
pushd %{buildroot}%{python_sitelib}
patch -p1 < %{PATCH0}
sed -i 's|_DATADIR_DEVASSISTANT|%{_datadir}/%{name}|' devassistant/settings.py
popd
# now extract RHEL-specific assistants and remove the upstream ones
mkdir -p %{buildroot}%{_datadir}/%{name}/
pushd %{buildroot}%{_datadir}/%{name}/
tar -xzf %{SOURCE1}
popd
rm -rf %{buildroot}%{python_sitelib}/%{name}/data

# no gui in rhel 6
rm %{buildroot}/%{_bindir}/%{shortname}-gui
rm %{buildroot}/%{_bindir}/%{name}-gui
rm -rf %{buildroot}/%{python_sitelib}/%{name}/gui

%check
#%{__python} setup.py test -t py.test

%files
%doc README.rst LICENSE
%{_bindir}/%{shortname}
%{_bindir}/%{name}
%{_mandir}/man1/%{shortname}.1.gz
%{_mandir}/man1/%{name}.1.gz
%{_sysconfdir}/bash_completion.d/
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info

%files assistants
%{_datadir}/%{name}

%changelog
* Mon Feb 10 2014 Jaromír Končický <jkoncick@redhat.com> - 0.8.0-2
- Add several upstream fixes:
  When no assistants are installed, print pretty message instead of crashing
  Install dependencies for rhel's
  Make devassistant compatible with python 2.6

* Wed Dec 04 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.8.0-1
- Update to 0.8.0.
- Don't create the /usr/local hierarchy, leave it up to users.

* Wed Oct 02 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.7.0-1
- Update to 0.7.0.

* Wed Aug 28 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-2
- Properly create and own the /usr/local hierarchy.

* Wed Aug 28 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-1
- Update to 0.6.1.
- Introduce gui, add its dependencies.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 26 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5.0-1
- Update to 0.5.0.
- Regenerated patch0.

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.4.0-3
- Perl 5.18 rebuild

* Wed Jul 03 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-2
- Fix manpage typo, rhbz#980646.

* Mon Jul 01 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-1
- Update to 0.4.0.

* Wed May 15 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-1
- Update to 0.3.1.
- Remove no longer needed dependencies (jinja2, plumbum).

* Wed Mar 20 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.2-1
- Update to 0.2.2 because of minor bug in 0.2.1.

* Wed Mar 20 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.1-1
- Update to devassistant 0.2.1.
- Introduce bash completion script.

* Mon Mar 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.0-1
- Update to devassistant 0.2.0.
- Move assistants and snippets to %%{datadir}/%%{name}.
- Introduce manpage.

* Tue Mar 12 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-3
- Move templates to %%{_datadir}.

* Tue Mar 12 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-2
- Use BR: python2-devel instead of python-devel.

* Fri Mar 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-1
- Initial package.
